/**
 * @file
 * Site Footer.
*/

.site-footer {
  color: $white;
  padding: rem(14) 0 0;
  line-height: rem(26);
  background-color: $dark-blue;
  @include fontSize(14);

  a {
    color: $white;
    &:hover {
      color: $yellow;
    }
  }
  
  h2 {
    font-size: $h4-size;
    margin: rem(12) 0 rem(14);
    color: $yellow;
    padding: 0 0 rem(9);
    @include relative();

    &:after {
      content: '';
      width: 100%;
      height: rem(1);
      background-color: $yellow;
      @include absolute(right 0 bottom 0)
    }
  }
  .region-footer-second,
  .region-footer-first,
  .region-footer-third {
    > div {
      margin-bottom: rem(30);
    }
  }
  
  &__copy-right {
    padding: rem(15) 0;
    border-top: 1px solid rgba($white,0.2);

    p {
      margin: 0;
      @include fontSize(12);
    }
  }
}

.social-menu {
  li {
    @include flex(center, center);

    a {
      width: rem(30);
      height: rem(30);
      margin: rem(5);
      display: block;
      text-align: center;
      @include flex(center, center);
      @include border-radius(50%);
      @include transition (all 400ms linear);
    }
    .facebook {
      background: $facebook;
      &:hover {
        color: $facebook !important;
        border: 1px solid $facebook;
        background: $white-bg;
      }
    }
    .twitter {
      background: $twitter;
      &:hover {
        color: $twitter !important;
        border: 1px solid $twitter;
        background: $white-bg;
      }
    }
    .linkedin {
      background: $linkedin;
      &:hover {
        color: $linkedin !important;
        border: 1px solid $linkedin;
        background: $white-bg;
      }
    }

  }
}

